Juniper Junos SRX Series FTP ALG ftps-extension TCP Port Exposure (JSA10706)

Medium Nessus Plugin ID 86607


The remote device is missing a vendor-supplied security patch.


According to its self-reported version number, the remote Juniper Junos SRX series device is affected by a flaw in handling the ftps-extension option when the SRX secures the FTPS server. An unauthenticated, remote attacker can exploit this flaw to expose TCP ports for arbitrary data channels.

Note that this issue only affects devices with the FTP Application Layer Gateway (ALG) enabled with the ftps-extensions option.


Apply the relevant Junos software release or workaround referenced in Juniper advisory JSA10706.

See Also

Plugin Details

Severity: Medium

ID: 86607

File Name: juniper_jsa10706.nasl

Version: 1.7

Type: combined

Published: 2015/10/26

Modified: 2017/05/16

Dependencies: 55932

Risk Information

Risk Factor: Medium


Base Score: 6.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:N

Vulnerability Information

CPE: cpe:/o:juniper:junos

Required KB Items: Host/Juniper/JUNOS/Version, Host/Juniper/model

Patch Publication Date: 2015/10/14

Vulnerability Publication Date: 2015/10/14

Reference Information

CVE: CVE-2015-5361

OSVDB: 128906

JSA: JSA10706